{
  "status": "success",
  "message": "OK",
  "data": {
    "locations": [
      {
        "id": 1,
        "name": "Busan",
        "state": "Busan",
        "country": "South Korea",
        "country_code": "KR",
        "locode": "KRPUS",
        "lat": 35.10168,
        "lng": 129.03004
      },
      {
        "id": 2,
        "name": "Shanghai",
        "state": "Shanghai Shi",
        "country": "China",
        "country_code": "CN",
        "locode": "CNSHG",
        "lat": 31.366365,
        "lng": 121.61475
      },
      {
        "id": 3,
        "name": "Gumi",
        "state": "Gyeongsangbuk-do",
        "country": "South Korea",
        "country_code": "KR",
        "locode": "KRKUI",
        "lat": 36.1136,
        "lng": 128.336
      }
    ],
    "vessels": [
      {
        "id": 1,
        "name": "SEABREEZE",
        "imo": "9472579",
        "call_sign": "5LCI2",
        "mmsi": "636021108",
        "flag": "LR"
      }
    ],
    "containers": [
      {
        "number": "BSIU9807691",
        "iso_code": "42V0",
        "events": [
          {
            "location": 3,
            "description": "Empty Container Release to Shipper",
            "status": "CEP",
            "date": "2021-12-20T13:39:00",
            "actual": true,
            "type": "land",
            "vessel": null,
            "voyage": null,
            "vesselCompliance": null,
            "locationCompliance": 0
          },
          {
            "location": 1,
            "description": "Gate In to Outbound Terminal",
            "status": "CGI",
            "date": "2021-12-29T21:00:00",
            "actual": true,
            "type": "land",
            "vessel": null,
            "voyage": null,
            "vesselCompliance": null,
            "locationCompliance": 0
          },
          {
            "location": 1,
            "description": "Loaded on at Port of Loading",
            "status": "CLL",
            "date": "2021-12-31T16:14:00",
            "actual": true,
            "type": "sea",
            "vessel": 1,
            "voyage": "170S",
            "vesselCompliance": 0,
            "locationCompliance": 0
          },
          {
            "location": 1,
            "description": "Departure from Port of Loading",
            "status": "VDL",
            "date": "2022-01-01T00:00:00",
            "actual": true,
            "type": "sea",
            "vessel": 1,
            "voyage": "170S",
            "vesselCompliance": 0,
            "locationCompliance": 0
          },
          {
            "location": 2,
            "description": "Arrival at Port of Discharging",
            "status": "VAD",
            "date": "2022-01-02T04:30:00",
            "actual": true,
            "type": "sea",
            "vessel": 1,
            "voyage": "170S",
            "vesselCompliance": 0,
            "locationCompliance": 0
          },
          {
            "location": 2,
            "description": "POD Berthing Destination",
            "status": "UNK",
            "date": "2022-01-02T09:30:00",
            "actual": true,
            "type": "land",
            "vessel": 1,
            "voyage": "170S",
            "vesselCompliance": 0,
            "locationCompliance": 0
          },
          {
            "location": 2,
            "description": "Unloaded from at Port of Discharging",
            "status": "CDD",
            "date": "2022-01-02T10:22:00",
            "actual": true,
            "type": "sea",
            "vessel": 1,
            "voyage": "170S",
            "vesselCompliance": 0,
            "locationCompliance": 0
          },
          {
            "location": 2,
            "description": "Gate Out from Inbound Terminal for Delivery to Consignee (or Port Shuttle)",
            "status": "CGO",
            "date": "2022-01-07T06:38:00",
            "actual": true,
            "type": "land",
            "vessel": null,
            "voyage": null,
            "vesselCompliance": null,
            "locationCompliance": 0
          },
          {
            "location": 2,
            "description": "Empty Container Returned from Customer",
            "status": "CER",
            "date": "2022-01-07T12:49:00",
            "actual": true,
            "type": "land",
            "vessel": null,
            "voyage": null,
            "vesselCompliance": null,
            "locationCompliance": 0
          }
        ]
      },
      {
        "number": "GAOU6639366",
        "iso_code": "42V0",
        "events": [
          {
            "location": 3,
            "description": "Empty Container Release to Shipper",
            "status": "CEP",
            "date": "2021-12-17T11:37:00",
            "actual": true,
            "type": "land",
            "vessel": null,
            "voyage": null,
            "vesselCompliance": null,
            "locationCompliance": 0
          },
          {
            "location": 1,
            "description": "Gate In to Outbound Terminal",
            "status": "CGI",
            "date": "2021-12-29T16:53:00",
            "actual": true,
            "type": "land",
            "vessel": null,
            "voyage": null,
            "vesselCompliance": null,
            "locationCompliance": 0
          },
          {
            "location": 1,
            "description": "Loaded on at Port of Loading",
            "status": "CLL",
            "date": "2021-12-31T16:51:00",
            "actual": true,
            "type": "sea",
            "vessel": 1,
            "voyage": "170S",
            "vesselCompliance": 0,
            "locationCompliance": 0
          },
          {
            "location": 1,
            "description": "Departure from Port of Loading",
            "status": "VDL",
            "date": "2022-01-01T00:00:00",
            "actual": true,
            "type": "sea",
            "vessel": 1,
            "voyage": "170S",
            "vesselCompliance": 0,
            "locationCompliance": 0
          },
          {
            "location": 2,
            "description": "Arrival at Port of Discharging",
            "status": "VAD",
            "date": "2022-01-02T04:30:00",
            "actual": true,
            "type": "sea",
            "vessel": 1,
            "voyage": "170S",
            "vesselCompliance": 0,
            "locationCompliance": 0
          },
          {
            "location": 2,
            "description": "POD Berthing Destination",
            "status": "UNK",
            "date": "2022-01-02T09:30:00",
            "actual": true,
            "type": "land",
            "vessel": 1,
            "voyage": "170S",
            "vesselCompliance": 0,
            "locationCompliance": 0
          },
          {
            "location": 2,
            "description": "Unloaded from at Port of Discharging",
            "status": "CDD",
            "date": "2022-01-02T10:00:00",
            "actual": true,
            "type": "sea",
            "vessel": 1,
            "voyage": "170S",
            "vesselCompliance": 0,
            "locationCompliance": 0
          },
          {
            "location": 2,
            "description": "Gate Out from Inbound Terminal for Delivery to Consignee (or Port Shuttle)",
            "status": "CGO",
            "date": "2022-01-08T05:56:00",
            "actual": true,
            "type": "land",
            "vessel": null,
            "voyage": null,
            "vesselCompliance": null,
            "locationCompliance": 0
          },
          {
            "location": 2,
            "description": "Empty Container Returned from Customer",
            "status": "CER",
            "date": "2022-01-08T11:28:00",
            "actual": true,
            "type": "land",
            "vessel": null,
            "voyage": null,
            "vesselCompliance": null,
            "locationCompliance": 0
          }
        ]
      },
      {
        "number": "TRHU8216084",
        "iso_code": "42V0",
        "events": [
          {
            "location": 3,
            "description": "Empty Container Release to Shipper",
            "status": "CEP",
            "date": "2021-12-17T11:37:00",
            "actual": true,
            "type": "land",
            "vessel": null,
            "voyage": null,
            "vesselCompliance": null,
            "locationCompliance": 0
          },
          {
            "location": 1,
            "description": "Gate In to Outbound Terminal",
            "status": "CGI",
            "date": "2021-12-29T18:21:00",
            "actual": true,
            "type": "land",
            "vessel": null,
            "voyage": null,
            "vesselCompliance": null,
            "locationCompliance": 0
          },
          {
            "location": 1,
            "description": "Loaded on at Port of Loading",
            "status": "CLL",
            "date": "2021-12-31T16:57:00",
            "actual": true,
            "type": "sea",
            "vessel": 1,
            "voyage": "170S",
            "vesselCompliance": 0,
            "locationCompliance": 0
          },
          {
            "location": 1,
            "description": "Departure from Port of Loading",
            "status": "VDL",
            "date": "2022-01-01T00:00:00",
            "actual": true,
            "type": "sea",
            "vessel": 1,
            "voyage": "170S",
            "vesselCompliance": 0,
            "locationCompliance": 0
          },
          {
            "location": 2,
            "description": "Arrival at Port of Discharging",
            "status": "VAD",
            "date": "2022-01-02T04:30:00",
            "actual": true,
            "type": "sea",
            "vessel": 1,
            "voyage": "170S",
            "vesselCompliance": 0,
            "locationCompliance": 0
          },
          {
            "location": 2,
            "description": "POD Berthing Destination",
            "status": "UNK",
            "date": "2022-01-02T09:30:00",
            "actual": true,
            "type": "land",
            "vessel": 1,
            "voyage": "170S",
            "vesselCompliance": 0,
            "locationCompliance": 0
          },
          {
            "location": 2,
            "description": "Unloaded from at Port of Discharging",
            "status": "CDD",
            "date": "2022-01-02T09:57:00",
            "actual": true,
            "type": "sea",
            "vessel": 1,
            "voyage": "170S",
            "vesselCompliance": 0,
            "locationCompliance": 0
          },
          {
            "location": 2,
            "description": "Gate Out from Inbound Terminal for Delivery to Consignee (or Port Shuttle)",
            "status": "CGO",
            "date": "2022-01-08T09:28:00",
            "actual": true,
            "type": "land",
            "vessel": null,
            "voyage": null,
            "vesselCompliance": null,
            "locationCompliance": 0
          },
          {
            "location": 2,
            "description": "Empty Container Returned from Customer",
            "status": "CER",
            "date": "2022-01-08T14:08:00",
            "actual": true,
            "type": "land",
            "vessel": null,
            "voyage": null,
            "vesselCompliance": null,
            "locationCompliance": 0
          }
        ]
      },
      {
        "number": "TRHU7278950",
        "iso_code": "42V0",
        "events": [
          {
            "location": 3,
            "description": "Empty Container Release to Shipper",
            "status": "CEP",
            "date": "2021-12-20T13:40:00",
            "actual": true,
            "type": "land",
            "vessel": null,
            "voyage": null,
            "vesselCompliance": null,
            "locationCompliance": 0
          },
          {
            "location": 1,
            "description": "Gate In to Outbound Terminal",
            "status": "CGI",
            "date": "2021-12-29T21:28:00",
            "actual": true,
            "type": "land",
            "vessel": null,
            "voyage": null,
            "vesselCompliance": null,
            "locationCompliance": 0
          },
          {
            "location": 1,
            "description": "Loaded on at Port of Loading",
            "status": "CLL",
            "date": "2021-12-31T16:05:00",
            "actual": true,
            "type": "sea",
            "vessel": 1,
            "voyage": "170S",
            "vesselCompliance": 0,
            "locationCompliance": 0
          },
          {
            "location": 1,
            "description": "Departure from Port of Loading",
            "status": "VDL",
            "date": "2022-01-01T00:00:00",
            "actual": true,
            "type": "sea",
            "vessel": 1,
            "voyage": "170S",
            "vesselCompliance": 0,
            "locationCompliance": 0
          },
          {
            "location": 2,
            "description": "Arrival at Port of Discharging",
            "status": "VAD",
            "date": "2022-01-02T04:30:00",
            "actual": true,
            "type": "sea",
            "vessel": 1,
            "voyage": "170S",
            "vesselCompliance": 0,
            "locationCompliance": 0
          },
          {
            "location": 2,
            "description": "POD Berthing Destination",
            "status": "UNK",
            "date": "2022-01-02T09:30:00",
            "actual": true,
            "type": "land",
            "vessel": 1,
            "voyage": "170S",
            "vesselCompliance": 0,
            "locationCompliance": 0
          },
          {
            "location": 2,
            "description": "Unloaded from at Port of Discharging",
            "status": "CDD",
            "date": "2022-01-02T10:26:00",
            "actual": true,
            "type": "sea",
            "vessel": 1,
            "voyage": "170S",
            "vesselCompliance": 0,
            "locationCompliance": 0
          },
          {
            "location": 2,
            "description": "Gate Out from Inbound Terminal for Delivery to Consignee (or Port Shuttle)",
            "status": "CGO",
            "date": "2022-01-08T06:54:00",
            "actual": true,
            "type": "land",
            "vessel": null,
            "voyage": null,
            "vesselCompliance": null,
            "locationCompliance": 0
          },
          {
            "location": 2,
            "description": "Empty Container Returned from Customer",
            "status": "CER",
            "date": "2022-01-08T13:29:00",
            "actual": true,
            "type": "land",
            "vessel": null,
            "voyage": null,
            "vesselCompliance": null,
            "locationCompliance": 0
          }
        ]
      },
      {
        "number": "TRHU8041896",
        "iso_code": "42V0",
        "events": [
          {
            "location": 3,
            "description": "Empty Container Release to Shipper",
            "status": "CEP",
            "date": "2021-12-17T11:37:00",
            "actual": true,
            "type": "land",
            "vessel": null,
            "voyage": null,
            "vesselCompliance": null,
            "locationCompliance": 0
          },
          {
            "location": 1,
            "description": "Gate In to Outbound Terminal",
            "status": "CGI",
            "date": "2021-12-29T17:41:00",
            "actual": true,
            "type": "land",
            "vessel": null,
            "voyage": null,
            "vesselCompliance": null,
            "locationCompliance": 0
          },
          {
            "location": 1,
            "description": "Loaded on at Port of Loading",
            "status": "CLL",
            "date": "2021-12-31T19:29:00",
            "actual": true,
            "type": "sea",
            "vessel": 1,
            "voyage": "170S",
            "vesselCompliance": 0,
            "locationCompliance": 0
          },
          {
            "location": 1,
            "description": "Departure from Port of Loading",
            "status": "VDL",
            "date": "2022-01-01T00:00:00",
            "actual": true,
            "type": "sea",
            "vessel": 1,
            "voyage": "170S",
            "vesselCompliance": 0,
            "locationCompliance": 0
          },
          {
            "location": 2,
            "description": "Arrival at Port of Discharging",
            "status": "VAD",
            "date": "2022-01-02T04:30:00",
            "actual": true,
            "type": "sea",
            "vessel": 1,
            "voyage": "170S",
            "vesselCompliance": 0,
            "locationCompliance": 0
          },
          {
            "location": 2,
            "description": "POD Berthing Destination",
            "status": "UNK",
            "date": "2022-01-02T09:30:00",
            "actual": true,
            "type": "land",
            "vessel": 1,
            "voyage": "170S",
            "vesselCompliance": 0,
            "locationCompliance": 0
          },
          {
            "location": 2,
            "description": "Unloaded from at Port of Discharging",
            "status": "CDD",
            "date": "2022-01-02T10:30:00",
            "actual": true,
            "type": "sea",
            "vessel": 1,
            "voyage": "170S",
            "vesselCompliance": 0,
            "locationCompliance": 0
          },
          {
            "location": 2,
            "description": "Gate Out from Inbound Terminal for Delivery to Consignee (or Port Shuttle)",
            "status": "CGO",
            "date": "2022-01-07T14:30:00",
            "actual": true,
            "type": "land",
            "vessel": null,
            "voyage": null,
            "vesselCompliance": null,
            "locationCompliance": 0
          },
          {
            "location": 2,
            "description": "Empty Container Returned from Customer",
            "status": "CER",
            "date": "2022-01-08T06:57:00",
            "actual": true,
            "type": "land",
            "vessel": null,
            "voyage": null,
            "vesselCompliance": null,
            "locationCompliance": 0
          }
        ]
      },
      {
        "number": "TGBU5312141",
        "iso_code": "42V0",
        "events": [
          {
            "location": 3,
            "description": "Empty Container Release to Shipper",
            "status": "CEP",
            "date": "2021-12-20T13:39:00",
            "actual": true,
            "type": "land",
            "vessel": null,
            "voyage": null,
            "vesselCompliance": null,
            "locationCompliance": 0
          },
          {
            "location": 1,
            "description": "Gate In to Outbound Terminal",
            "status": "CGI",
            "date": "2021-12-29T19:27:00",
            "actual": true,
            "type": "land",
            "vessel": null,
            "voyage": null,
            "vesselCompliance": null,
            "locationCompliance": 0
          },
          {
            "location": 1,
            "description": "Loaded on at Port of Loading",
            "status": "CLL",
            "date": "2021-12-31T16:43:00",
            "actual": true,
            "type": "sea",
            "vessel": 1,
            "voyage": "170S",
            "vesselCompliance": 0,
            "locationCompliance": 0
          },
          {
            "location": 1,
            "description": "Departure from Port of Loading",
            "status": "VDL",
            "date": "2022-01-01T00:00:00",
            "actual": true,
            "type": "sea",
            "vessel": 1,
            "voyage": "170S",
            "vesselCompliance": 0,
            "locationCompliance": 0
          },
          {
            "location": 2,
            "description": "Arrival at Port of Discharging",
            "status": "VAD",
            "date": "2022-01-02T04:30:00",
            "actual": true,
            "type": "sea",
            "vessel": 1,
            "voyage": "170S",
            "vesselCompliance": 0,
            "locationCompliance": 0
          },
          {
            "location": 2,
            "description": "POD Berthing Destination",
            "status": "UNK",
            "date": "2022-01-02T09:30:00",
            "actual": true,
            "type": "land",
            "vessel": 1,
            "voyage": "170S",
            "vesselCompliance": 0,
            "locationCompliance": 0
          },
          {
            "location": 2,
            "description": "Unloaded from at Port of Discharging",
            "status": "CDD",
            "date": "2022-01-02T10:06:00",
            "actual": true,
            "type": "sea",
            "vessel": 1,
            "voyage": "170S",
            "vesselCompliance": 0,
            "locationCompliance": 0
          },
          {
            "location": 2,
            "description": "Gate Out from Inbound Terminal for Delivery to Consignee (or Port Shuttle)",
            "status": "CGO",
            "date": "2022-01-07T07:28:00",
            "actual": true,
            "type": "land",
            "vessel": null,
            "voyage": null,
            "vesselCompliance": null,
            "locationCompliance": 0
          },
          {
            "location": 2,
            "description": "Empty Container Returned from Customer",
            "status": "CER",
            "date": "2022-01-07T12:49:00",
            "actual": true,
            "type": "land",
            "vessel": null,
            "voyage": null,
            "vesselCompliance": null,
            "locationCompliance": 0
          }
        ]
      }
    ],
    "route": {
      "prepol": {
        "location": 3,
        "date": "2021-12-20T13:39:00",
        "actual": true
      },
      "pol": {
        "location": 1,
        "date": "2022-01-01T00:00:00",
        "actual": true
      },
      "pod": {
        "location": 2,
        "date": "2022-01-02T04:30:00",
        "actual": true
      },
      "postpod": {
        "location": 2,
        "date": "2022-01-02T04:30:00",
        "actual": true
      }
    }
  }
}
